<?php


// No direct calls to this script
if ( strpos($_SERVER['PHP_SELF'], basename(__FILE__) )) {
	die('No direct calls allowed!');
}


/*
 * Shortcode to be used in the content. Displays a simple calendar.
 *
 * @since 1.0.0
 */
function ssec_shortcode() {
	$output = '';

	$args = array(
		'post_type'      => 'ssec_event',
		'post_status'    => 'future',
		'posts_per_page' => -1,
		'nopaging'       => true,
		'orderby'        => 'date',
		'order'          => 'ASC',
	);

	// The Query
	$the_query = new WP_Query( $args );

	// The Loop
	if ( $the_query->have_posts() ) {
		$output .= '<table class="ssec-shortcode-calendar"><tbody>';
		while ( $the_query->have_posts() ) {
			$the_query->the_post();
			$postlink = '';
			if ( is_user_logged_in() ) {
				$postlink = get_edit_post_link( get_the_ID() );
				$postlink = ' <a class="post-edit-link" href="' . $postlink . '">' . esc_html__('(edit)', 'super-simple-event-calendar') . '</a>';
			}
			$classes = ssec_get_term_classes( get_the_ID() );
			$output .= '
			<tr class="' . $classes . '">
				<td class="ssec-title">' . get_the_title() . ' </td>
				<td class="ssec-content">' . nl2br(get_the_content()) . $postlink . '</td>
			</tr>
			';
		}
		$output .= '</tbody></table>';
	} else {
		// no posts found
	}
	/* Restore original Post Data */
	wp_reset_postdata();

	return $output;
}
add_shortcode( 'super_simple_event_calendar', 'ssec_shortcode' );
